{% extends 'base.html.twig' %}
{% block stylesheets %}
    <style>
        body {
            background: url("uploads/ego/ego_background.jpg") no-repeat center center fixed;
            -webkit-background-size: cover;
            -moz-background-size: cover;
            -o-background-size: cover;
            background-size: cover;
        }

        .button {
            background-color: #ffb700;
            border: none;
            color: white;
            padding: 15px 32px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
            font-weight: bolder !important;
            cursor: pointer;
        }

        .button.secondary {
            background-color: white;
            color: #ffb700 !important;
        }

        .center-div {
            margin: 20px auto;
            max-width: 700px;
            height: 100px;
            border-radius: 3px;
            text-align: center;
            font-family: "Lucida Sans Unicode", "Lucida Grande", Verdana, Arial, Helvetica, sans-serif;
        }

        footer {
            display: block;
            margin: 0 auto;
            margin-bottom: 0.5cm;
            margin-top: 0.5cm;
            width: 29.7cm;
            text-align: center;
        }

        page {
            background: url("uploads/ego/certificate_template.jpg");
            background-repeat: no-repeat;
            background-size: 100% 100%;
            display: block;
            margin: 0 auto;
            margin-bottom: 0.5cm;
            box-shadow: 0 0 0.5cm rgba(0, 0, 0, 0.5);
            position: relative;
        }

        page[size="A4"] {
            width: 21cm;
            height: 29.7cm;
        }

        page[size="A4"][layout="portrait"] {
            width: 29.7cm;
            height: 21cm;
        }

        @media print {
            body * {
                visibility: hidden !important;
            }

            page, page * {
                visibility: visible !important;
            }

            page {
                position: absolute;
                left: 0;
                top: 0;
            }
        }
    </style>
{% endblock %}

{% block body %}
    <h1 class="center-div"></h1>


    <page id="page" size="A4" layout="portrait">

        <div style="width:100%; height:100%; padding:20px; text-align:center;">
            <br><br>
            <br><br>
            <span style="font-size:1.5cm; font-weight:bold">Certificate of Completion</span>
            <br><br>
            <br><br>
            <span style="font-size:0.8cm"><i>This is to certify that</i></span>
            <br><br>
            <br><br>
            <span style="font-size:1cm"><b>{{ attendee.firstName ~ ' ' ~ attendee.lastName }}</b></span><br/><br/>
            <span style="font-size:25px"><i>has completed the course</i></span> <br/><br/>
            <span style="font-size:30px">{{ course.title }}</span> <br/><br/> <br/><br/><br/><br/>
            <span style="font-size:25px"><i>dated</i></span><br>
            {{ course.certificateDate|date("d/m/Y") }}
        </div>
        <div style="position:absolute;bottom:2cm;left:2cm;">
            <img src="{{ qr_code_data_uri(app.request.uri, { writer: 'svg', size: 70 }) }}"/>
        </div>
    </page>
    <footer style="background: #5177a3;padding: 10px">
        <input type="button" class="button" js-attr="download" value="Download Certificate">
        <input type="button" class="button secondary" value="Back to EGO">
    </footer>

{% endblock %}

{% block javascripts %}
    <!-- Automatically provides/replaces `Promise` if missing or broken. -->
    <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/es6-promise@4/dist/es6-promise.auto.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.4.1/jspdf.debug.js"
            integrity="sha384-THVO/sM0mFD9h7dfSndI6TS0PgAGavwKvB5hAxRRvc0o9cPLohB0wb/PTA7LdUHs"
            crossorigin="anonymous"></script>
    <script src="{{ asset('js/html2canvas.min.js') }}"></script>
    <script src="{{ asset('js/html2pdf/html2pdf.min.js') }}"></script>
    <script>
        (function () {
            document.querySelector('[js-attr="download"]').addEventListener("click", function () {
                var element = document.getElementById('page');
                var opt = {
                    margin: 0,
                    filename: 'certificate',
                    image: {type: 'jpeg', quality: 0.98},
                    html2canvas: {scale: 1},
                    jsPDF: {unit: 'in', format: 'A4', orientation: 'landscape'}
                };

                html2pdf().from(element).set(opt).save();
            });

        }());
    </script>
{% endblock %}